Bug 1094774 - desktop-file-utils do not recognize "font" media type
desktop-file-utils do not recognize "font" media type
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X11 Applications
Current
All SUSE Other
: P5 - None : Normal (vote)
: ---
Assigned To: Cliff Zhao
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-27 13:15 UTC by Joshua Krämer
Modified: 2020-01-21 15:39 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
mschnitzer: needinfo? (qzhao)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Krämer 2018-05-27 13:15:15 UTC
desktop-file-utils do not recognize the "font" media type and complain about it:

$ sudo update-desktop-database
Error in file "/usr/share/applications/fontforge.desktop": "font/woff" is an invalid MIME type ("font" is an unregistered media type)

This bug was already reported upstream and resolved: https://bugs.freedesktop.org/show_bug.cgi?id=105785

Please update the package in openSUSE.
Comment 1 Stefan Dirsch 2018-05-27 21:58:28 UTC
Reassigning to fontforge maintainer.
Comment 2 Cliff Zhao 2019-07-03 05:46:08 UTC
Hi:
I have submitted in https://build.opensuse.org/request/show/710866.
Comment 8 Swamp Workflow Management 2019-08-27 11:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1094774) was mentioned in
https://build.opensuse.org/request/show/726462 15.1 / desktop-file-utils
Comment 9 Swamp Workflow Management 2019-09-07 19:13:44 UTC
openSUSE-RU-2019:2086-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1094774,1148080
CVE References: 
Sources used:
openSUSE Leap 15.1 (src):    desktop-file-utils-0.23-lp151.4.3.1
Comment 10 Swamp Workflow Management 2019-09-12 10:11:56 UTC
SUSE-RU-2019:2360-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1094774,1148080
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    desktop-file-utils-0.23-4.5.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    desktop-file-utils-0.23-4.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2019-09-24 13:12:38 UTC
openSUSE-RU-2019:2166-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1094774,1148080
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    desktop-file-utils-0.23-lp150.3.3.1
Comment 13 Cliff Zhao 2020-01-10 00:53:12 UTC
Will close for all requests have been accepted. thank you for report.
Comment 14 Swamp Workflow Management 2020-01-21 14:12:16 UTC
SUSE-RU-2020:0149-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1094774
CVE References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    desktop-file-utils-0.22-10.3.1
SUSE Linux Enterprise Server 12-SP4 (src):    desktop-file-utils-0.22-10.3.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    desktop-file-utils-0.22-10.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.